"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateStaticFiles = void 0;
const tslib_1 = require("tslib");
const lowcode_code_generator_1 = tslib_1.__importDefault(require("@alilc/lowcode-code-generator"));
const README_md_1 = tslib_1.__importDefault(require("./files/README.md"));
const vite_config_js_js_1 = tslib_1.__importDefault(require("./files/vite.config.js.js"));
const gitignore_1 = tslib_1.__importDefault(require("./files/gitignore"));
const prettierrc_json_1 = tslib_1.__importDefault(require("./files/prettierrc.json"));
const eslintrc_cjs_1 = tslib_1.__importDefault(require("./files/eslintrc.cjs"));
const { resultHelper: { createResultDir }, templateHelper: { runFileGenerator } } = lowcode_code_generator_1.default.utils;
function generateStaticFiles(root = createResultDir('.')) {
    //创建README.md文件
    runFileGenerator(root, README_md_1.default);
    //创建vite配置文件
    runFileGenerator(root, vite_config_js_js_1.default);
    //创建gitignore配置文件
    runFileGenerator(root, gitignore_1.default);
    //创建prettier配置文件
    runFileGenerator(root, prettierrc_json_1.default);
    //创建eslint配置文件
    runFileGenerator(root, eslintrc_cjs_1.default);
    return root;
}
exports.generateStaticFiles = generateStaticFiles;
//# sourceMappingURL=static-files.js.map